GanttWorkingHoursVO

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.gantt.java
Class GanttWorkingHoursVO

    java.lang.Object
      org.openswing.swing.message.receive.java.ValueObjectImpl
          org.openswing.swing.gantt.java.GanttWorkingHoursVO

All Implemented Interfaces:
  java.lang.Cloneable, GanttWorkingHours, java.io.Serializable, ValueObject

public class GanttWorkingHoursVO
extends ValueObjectImpl
implements GanttWorkingHours

Title: OpenSwing Framework

Description: Value object used to store the working hours used in a gantt row.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`GanttWorkingHoursVO()`

Method Summary
`java.sql.Timestamp` | `getAfternoonEndHour()`
`java.sql.Timestamp` | `getAfternoonStartHour()`
`java.sql.Timestamp` | `getMorningEndHour()`
`java.sql.Timestamp` | `getMorningStartHour()`
`void` | `setAfternoonEndHour(java.sql.Timestamp afternoonEndHour)`
`void` | `setAfternoonStartHour(java.sql.Timestamp afternoonStartHour)`
`void` | `setMorningEndHour(java.sql.Timestamp morningEndHour)`
`void` | `setMorningStartHour(java.sql.Timestamp morningStartHour)`

Methods inherited from class org.openswing.swing.message.receive.java.ValueObjectImpl
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GanttWorkingHoursVO

    public GanttWorkingHoursVO()

Method Detail

### getMorningStartHour

    public java.sql.Timestamp getMorningStartHour()

  Specified by:
    `getMorningStartHour` in interface `GanttWorkingHours`

### setMorningStartHour

    public void setMorningStartHour(java.sql.Timestamp morningStartHour)

  Specified by:
    `setMorningStartHour` in interface `GanttWorkingHours`

### getMorningEndHour

    public java.sql.Timestamp getMorningEndHour()

  Specified by:
    `getMorningEndHour` in interface `GanttWorkingHours`

### setMorningEndHour

    public void setMorningEndHour(java.sql.Timestamp morningEndHour)

  Specified by:
    `setMorningEndHour` in interface `GanttWorkingHours`

### getAfternoonStartHour

    public java.sql.Timestamp getAfternoonStartHour()

  Specified by:
    `getAfternoonStartHour` in interface `GanttWorkingHours`

### setAfternoonStartHour

    public void setAfternoonStartHour(java.sql.Timestamp afternoonStartHour)

  Specified by:
    `setAfternoonStartHour` in interface `GanttWorkingHours`

### getAfternoonEndHour

    public java.sql.Timestamp getAfternoonEndHour()

  Specified by:
    `getAfternoonEndHour` in interface `GanttWorkingHours`

### setAfternoonEndHour

    public void setAfternoonEndHour(java.sql.Timestamp afternoonEndHour)

  Specified by:
    `setAfternoonEndHour` in interface `GanttWorkingHours`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD